Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.api
Interface EPCCacheSpec

public interface EPCCacheSpec

A specification of an EPC cache.

Method Summary
`java.lang.String` | `getApplicationData()` Gets the application data String which will be returned in EPCCacheReport instances.
`boolean` | `getIncludeCacheContent()` Indicates whether `EPCCacheReport` instances should include a description of the current cache contents or just the count of the remaining cache entries.
`long` | `getThreshold()` Gets the "EPC cache low" warning limit.
`void` | `setApplicationData(java.lang.String value)` Sets the application data String which will be returned in EPCCacheReport instances.
`void` | `setIncludeCacheContent(boolean setting)` Determines whether the `EPCCacheReport` notifications should include a description of the current cache contents or just the count of the remaining cache entries.
`void` | `setThreshold(long limit)` Sets the "EPC cache low" warning limit.

Method Detail

### getApplicationData

    public java.lang.String getApplicationData()

  Gets the application data String which will be returned in EPCCacheReport instances.

### setApplicationData

    public void setApplicationData(java.lang.String value)

  Sets the application data String which will be returned in EPCCacheReport instances.

### getThreshold

    public long getThreshold()

  Gets the "EPC cache low" warning limit.

  Returns:
    The "EPC cache low" warning limit. 0 means that a notification should be issued only when the cache count drops to empty.

### setThreshold

    public void setThreshold(long limit)

  Sets the "EPC cache low" warning limit.

  Parameters:
    `limit` - The "EPC cache low" warning limit. 0 means issue the notification when the EPC cache count drops to empty.

### getIncludeCacheContent

    public boolean getIncludeCacheContent()

  Indicates whether `EPCCacheReport` instances should include a description of the current cache contents or just the count of the remaining cache entries.

  Returns:
    If true, cache-low notifications contain a `EPCPatterns` instance identifying the remaining EPC values and also a count of the remaining EPC values. If false, only the count of remaining EPC values is included in cache-low notifications.

### setIncludeCacheContent

    public void setIncludeCacheContent(boolean setting)

  Determines whether the `EPCCacheReport` notifications should include a description of the current cache contents or just the count of the remaining cache entries.

  See Also:
    `getIncludeCacheContent()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD